body {
    width: 100%;
    color: whitesmoke !important;
    font-family: "Montserrat", sans-serif !important;
    height: 100vh; 
    margin: 0; 
}
.main{
    z-index: 1;
}
.background{
    margin: 0;
    padding: 0;
    position: fixed;
    top: 0;
    left: 0;
    z-index: -1;
    height: 100vh !important;
    width: 100% !important;
}
header{
    position: relative;
    z-index: 2;
}

img{
    height: 120px !important;
    margin-left: 15px;
    margin-top: 10px;
    
    width: auto !important;
}
nav{
    display: flex;
    margin-bottom: 40px;

}
p{
    font-size: 60px;
    flex: 2;
}
ul{
    display: flex;
    align-items: center;
    margin-top: 40px !important;
    position: absolute;
    right: 20px;
}
li{
    margin: 20px;
    list-style: none;
    cursor: pointer;
    
}
li:hover{
    border-bottom: 1px solid white;
    
}
a{
    list-style: none !important;
    text-decoration: none !important;
}
a:visited{
    text-decoration: none !important;
    color: white;
}
.cont-room{
    display: flex;
    position: relative;
    z-index: 1;
    justify-content: center;
    align-items: center;
    height: 80vh;
    width: 100%;
}

.col-md-10 {
    
    border: 1px solid grey;
    backdrop-filter: blur(1px); 
    padding: 60px;
    max-width: 600px; 
    width: 100%; 
    
}

input {
    width: 100%;
    background: none !important;
    backdrop-filter: blur(10px);
    border: 1px solid #fff;
    border-radius: 6px;
    color: #fff;
    box-sizing: border-box; 
    height: 50px;
}


button {
    margin-top: 20px !important;
    border: 1px solid #1b1b1c;
    padding: 5px 10px !important;
    display: block; 
    width: fit-content; 
    width: 100%;
    backdrop-filter: blur(10px);
    transition: 0.6s;
    border-radius: 12px !important;
    
}
button:hover{
    background: #5EFF9E;

}
.create-room{
    display: flex;
    justify-content: space-evenly;
}
.generate-inp{
    width: 100%;
    padding: 10px 10px;
    margin: 0px;

}
.generate{
    width: 300px;
}
.copy{
    margin-top: 0px !important;
}

ol li{
    list-style: decimal;
}
ol li:hover{
    text-decoration: none;
    border-bottom: none;
}

.cta{
    margin-top: 20px !important;
    font-size: 20px;
    font-family: monospace;
    font-weight: bold;
    text-align: center;
    
}
h1{
    
    font-weight: 800 !important;
}
section{
    padding-top: 10px;
}
.sec-cont{
    margin-top: 80px;
    height: 100vh;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center
}
.about{
    font-size: 36px;
}
.desc{
    font-size: 15px;
}
span{
    color: #5EFF9E;

}


@media only screen and (max-width: 600px) {
    body {
        font-size: 14px; /* Adjust font size for smaller screens */
    }

    img.logo {
        height: 80px !important; /* Reduce logo height for smaller screens */
        margin-bottom: 10px;
    }

    nav {
        flex-direction: column; /* Stack navigation items vertically for smaller screens */
        align-items: center;
    }

    ul {
        display: flex;
        flex-wrap: wrap;
        justify-content: center; /* Stack list items horizantally for smaller screens */
        padding-left: 0px !important;
        position: absolute;
        top: 55px;
        margin-right: 15px !important;
    }

    li {
        margin: 5px;
    }

    .cont-room {
        height: auto; /* Adjust container height for smaller screens */
    }

    .col-md-10 {
        margin-top: 50px !important;
        padding: 30px; /* Reduce padding for smaller screens */
        max-width: 90%; /* Adjust max-width for smaller screens */
    }

    input,
    button {
        width: 100%; /* Make input and button full-width for smaller screens */
    }

    .generate {
        width: 100%; /* Make generate button full-width for smaller screens */
    }
}